Bug 27281 - Declare org.nb.[as]pi as the only public packages
Declare org.nb.[as]pi as the only public packages
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Diff
3.x
PC Linux
: P1 (vote)
: 4.x
Assigned To: Martin Entlicher
diff-issues@utilities
:
Depends on:
Blocks: 42032
  Show dependency treegraph
 
Reported: 2002-09-12 17:41 UTC by Jaroslav Tulach
Modified: 2004-08-13 12:10 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2002-09-12 17:41:27 UTC
Make sure that the only public packages are only
those that are part of the API, so everyone who
depends on the module is know to use just the API
and nothing else.

http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.4-public-packages
Comment 1 Martin Entlicher 2002-09-12 18:28:44 UTC
O.K., but in this case I need to put
diff/src/org/netbeans/modules/diff/builtin/DiffPresenter.java
into the SPI. Do you agree?
Comment 2 Martin Entlicher 2002-09-18 10:00:36 UTC
Well, I don't think this is a DEFECT, because it does not hurt
anything.
I take this as a task, which should be done in the future to specify
which parts of the codebase are intended for external use. I'll try to
resolve this into 4.0.

I'll think about a suitable API representation of DiffPresenter. Any
ideas?
Comment 3 Martin Entlicher 2003-09-12 16:01:00 UTC
Until a suitable API representation of DiffPresenter is created, I can
declare org.nb.[as]pi as the only public packages, but have an
implementation version dependency on it as described in issue #36064.
I'll wait for this issue until it's resolved and implement the friend
dependency then.
Comment 4 Martin Entlicher 2004-04-19 13:26:05 UTC
Fixed in trunk:

/cvs/diff/manifest.mf,v  <--  manifest.mf
new revision: 1.22; previous revision: 1.21

/cvs/vcsgeneric/manifest.mf,v  <--  manifest.mf
new revision: 1.64; previous revision: 1.63
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo